Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000875KdenliveFile Loadingpublic2009-05-29 00:262009-06-18 01:51
Reporterkernalex 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.3 
Summary0000875: Crash by attemp to add many clips at once
DescriptionBug was first submitted via Dr Konqi to KDE bugzilla https://bugs.kde.org/show_bug.cgi?id=194351 [^]

I will resubmit relevant parts here.
Additional InformationApplication that crashed: kdenlive
Version of the application: 0.7.2
KDE Version: 4.2.86 (KDE 4.2.86 (KDE 4.3 >= 20090514)) "release 125"
Qt Version: 4.5.1
Operating System: Linux 2.6.27.21-0.1-pae i686
Distribution: "openSUSE 11.1 (i586)"

What I was doing when the application crashed:
all files captured inside kdenlive from minidv camera

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5cb4920 (LWP 15280))]

Thread 3 (Thread 0xb289fb90 (LWP 15289)):
#0 0xffffe430 in __kernel_vsyscall ()
#1 0xb71d8f62 in pthread_cond_timedwait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
0000002 0xb8075b99 in mlt_consumer_get_frame (this=0x8567c88) at mlt_consumer.c:498
0000003 0xb8075e00 in mlt_consumer_rt_frame (this=0x8567c88) at mlt_consumer.c:896
0000004 0xb36476aa in consumer_thread (arg=0x8567c88) at consumer_sdl_still.c:562
0000005 0xb71d51b5 in start_thread () from /lib/libpthread.so.0
0000006 0xb665f3be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb209eb90 (LWP 15290)):
#0 0xffffe430 in __kernel_vsyscall ()
#1 0xb71d8c35 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb3646d3c in consumer_thread (arg=0x8527ee0) at consumer_sdl_preview.c:381
0000003 0xb71d51b5 in start_thread () from /lib/libpthread.so.0
0000004 0xb665f3be in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5cb4920 (LWP 15280)):
[KCrash Handler]
0000006 QHash<QString, QDomNodePrivate*>::findNode (this=0x8b9474c,
akey=@0xbfe9b060, ahp=0x0) at ../../src/corelib/tools/qhash.h:218
0000007 0xb770494a in QDomNamedNodeMapPrivate::namedItem (this=0x8b94748,
name=@0xbfe9b060) at ../../src/corelib/tools/qhash.h:592
0000008 0xb77049ff in QDomElementPrivate::attribute (this=0x8b62190,
name_=@0xbfe9b060, defValue=@0xbfe9b05c) at dom/qdom.cpp:4445
0000009 0xb7704a5d in QDomElement::attribute (this=0xbfe9b0c4, name=@0xbfe9b060,
defValue=@0xbfe9b05c) at dom/qdom.cpp:4803
0000010 0x08117b7a in KdenliveDoc::addClip (this=0x8993ca8, elem={<QDomNode> =
{impl = 0xbfe9b0c4}, <No data fields>}, clipId=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value
= 19782}, alloc = 0, size = 0, data = 0x839539a, clean = 0, simpletext = 0,
righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
static shared_empty = {ref = {_q_value = 99}, alloc = 0, size = 0, data =
0xb742348e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
capacity = 0, reserved = 0, array = {0}}, d = 0xbfe9b0c0, static
codecForCStrings = 0x0}, createClipItem=true) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/kdenlivedoc.cpp:1268
0000011 0x080aa69b in AddClipCommand::redo (this=0x8befff8) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/addclipcommand.cpp:41
0000012 0xb6fc9c43 in QUndoCommand::redo (this=0x8b61278) at
util/qundostack.cpp:209
0000013 0xb6fcb718 in QUndoStack::push (this=0x88edb80, cmd=0x8b61278) at
util/qundostack.cpp:543
0000014 0x081ba7ed in ClipManager::slotAddClipList (this=0x8990158, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value =
16253}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d =
0xbfe9b238}, d = 0xbfe9b238}}, <No data fields>},
    group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value
= 19782}, alloc = 0, size = 0, data = 0x839539a, clean = 0, simpletext = 0,
righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
static shared_empty = {ref = {_q_value = 99}, alloc = 0, size = 0, data =
0xb742348e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
capacity = 0, reserved = 0, array = {0}}, d = 0xbfe9b234, static
codecForCStrings = 0x0}, groupId=@0xbfe9b294) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/clipmanager.cpp:229
0000015 0x081123fe in KdenliveDoc::slotAddClipList (this=0x8993ca8, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value =
16253}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d =
0xbfe9b28c}, d = 0xbfe9b28c}}, <No data fields>},
    group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value
= 19782}, alloc = 0, size = 0, data = 0x839539a, clean = 0, simpletext = 0,
righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
static shared_empty = {ref = {_q_value = 99}, alloc = 0, size = 0, data =
0xb742348e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
capacity = 0, reserved = 0, array = {0}}, d = 0xbfe9b288, static
codecForCStrings = 0x0}, groupId=@0xbfe9b294) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/kdenlivedoc.cpp:1455
0000016 0x080db180 in ProjectList::slotAddClip (this=0x8491a88, givenUrl={<QUrl> =
{d = 0xbfe9b2f4}, d = 0xbfe9b318}, group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value
= 19782}, alloc = 0, size = 0, data = 0x839539a, clean = 0, simpletext = 0,
righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
static shared_empty = {ref = {_q_value = 99}, alloc = 0, size = 0, data =
0xb742348e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
capacity = 0, reserved = 0, array = {0}}, d = 0xbfe9b318, static
codecForCStrings = 0x0}) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/projectlist.cpp:559
0000017 0x080db9f1 in ProjectList::qt_metacall (this=0x8491a88,
_c=QMetaObject::InvokeMetaMethod, _id=22, _a=0xbfe9b41c)
    at
/home/kernalex/devel/kdenlive_build/kdenlive/src/cmake_bindir/projectlist.moc:167
0000018 0xb7341dc8 in QMetaObject::activate (sender=0x88dac08, from_signal_index=5,
to_signal_index=6, argv=0xbfe9b41c) at kernel/qobject.cpp:3120
0000019 0xb7342200 in QMetaObject::activate (sender=0x88dac08, m=0x8395460,
from_local_signal_index=1, to_local_signal_index=2, argv=0xbfe9b41c) at
kernel/qobject.cpp:3214
0000020 0xb6931021 in QAction::triggered (this=0x88dac08, _t1=false) at
.moc/release-shared/moc_qaction.cpp:236
0000021 0xb693259f in QAction::activate (this=0x88dac08, event=QAction::Trigger) at
kernel/qaction.cpp:1160
0000022 0xb6d91024 in QMenuPrivate::activateCausedStack (this=0x88dff10,
causedStack=@0xbfe9b4f8, action=0x88dac08, action_e=QAction::Trigger,
self=true) at widgets/qmenu.cpp:967
0000023 0xb6d977db in QMenuPrivate::activateAction (this=0x88dff10,
action=0x88dac08, action_e=QAction::Trigger, self=<value optimized out>) at
widgets/qmenu.cpp:1060
0000024 0xb6d98322 in QMenu::mouseReleaseEvent (this=0x85caf28, e=0xbfe9baa8) at
widgets/qmenu.cpp:2254
0000025 0xb698e323 in QWidget::event (this=0x85caf28, event=0xbfe9baa8) at
kernel/qwidget.cpp:7521
0000026 0xb6d9a5d9 in QMenu::event (this=0x85caf28, e=0xbfe9baa8) at
widgets/qmenu.cpp:2353
0000027 0xb693769c in QApplicationPrivate::notify_helper (this=0x83b01c8,
receiver=0x85caf28, e=0xbfe9baa8) at kernel/qapplication.cpp:4057
0000028 0xb6940311 in QApplication::notify (this=0xbfe9d418, receiver=0x85caf28,
e=0xbfe9baa8) at kernel/qapplication.cpp:3759
0000029 0xb7d9fb8d in KApplication::notify(QObject*, QEvent*) () from
/usr/lib/libkdeui.so.5
0000030 0xb732badb in QCoreApplication::notifyInternal (this=0xbfe9d418,
receiver=0x85caf28, event=0xbfe9baa8) at kernel/qcoreapplication.cpp:610
0000031 0xb693f37e in QApplicationPrivate::sendMouseEvent (receiver=0x85caf28,
event=0xbfe9baa8, alienWidget=0x0, nativeWidget=0x85caf28,
buttonDown=0xb71cca40, lastMouseReceiver=@0xb71cca44)
    at ../../src/corelib/kernel/qcoreapplication.h:216
0000032 0xb69af78e in QETWidget::translateMouseEvent (this=0x85caf28,
event=0xbfe9d13c) at kernel/qapplication_x11.cpp:4380
0000033 0xb69ae8dd in QApplication::x11ProcessEvent (this=0xbfe9d418,
event=0xbfe9d13c) at kernel/qapplication_x11.cpp:3442
0000034 0xb69d827a in x11EventSourceDispatch (s=0x83b3198, callback=0,
user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
0000035 0xb5f3b9c8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000036 0xb5f3f083 in ?? () from /usr/lib/libglib-2.0.so.0
0000037 0xb5f3f241 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000038 0xb7357558 in QEventDispatcherGlib::processEvents (this=0x83b0188, flags={i
= -1075195144}) at kernel/qeventdispatcher_glib.cpp:324
0000039 0xb69d7975 in QGuiEventDispatcherGlib::processEvents (this=0x83b0188,
flags={i = -1075195096}) at kernel/qguieventdispatcher_glib.cpp:202
0000040 0xb732a0fa in QEventLoop::processEvents (this=0xbfe9d3a0, flags={i =
-1075195032}) at kernel/qeventloop.cpp:149
0000041 0xb732a53a in QEventLoop::exec (this=0xbfe9d3a0, flags={i = -1075194968})
at kernel/qeventloop.cpp:200
0000042 0xb732c9e9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
0000043 0xb6937517 in QApplication::exec () at kernel/qapplication.cpp:3526
0000044 0x080ab3c5 in main (argc=1, argv=0xbfe9d594) at
/home/kernalex/devel/kdenlive_build/kdenlive/src/main.cpp:81


console output according to backtrace

kernalex@linux-fr2j:~> kdenlive
kdenlive(15280) MainWindow::parseProfiles: RESULTINGÂ MLT PATH:
"/usr/local/share/mlt/profiles/"
kdenlive(15280) initEffects::parseEffectFiles: // INIT EFFECT SEARCH
kdenlive(15280) Render::Render: ////////// USINGÂ PROFILE: dv_pal_wide
kdenlive(15280) Monitor::Monitor: /////// BUILDING MONITOR, ID: 62914731
kdenlive(15280) Render::Render: ////////// USINGÂ PROFILE: dv_pal_wide
kdenlive(15280) Monitor::Monitor: /////// BUILDING MONITOR, ID: 62914778
QPainter::fontMetrics: Painter not active
kdenlive(15280) RecMonitor::RecMonitor: /////// BUILDING MONITOR, ID: 62914814
QStatusBar::insertPermanentWidget: Index out of range (5), appending widget
QStatusBar::insertPermanentWidget: Index out of range (7), appending widget
kdenlive(15280): Shortcut for KAction "monitor_play_zone" "Bereich abspielen"
set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(15280): Shortcut for KAction "monitor_loop_zone" "Bereich wiederholen
(Schleife)" set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(15280) MainWindow::loadPlugins: // PARSING FIOLER: "/usr/lib/kde4/"
kdenlive(15280) MainWindow::loadPlugins: // PARSING FIOLER:
"/usr/local/lib/kde4/"
kdenlive(15280) MainWindow::loadPlugins: // FOUND PLUGIN:
"libkdenlive_sampleplugin.so" =
"/usr/local/lib/kde4/libkdenlive_sampleplugin.so"
kdenlive(15280) MainWindow::addToMenu: // ADD to MENU ("Countdown", "Noise")
kdenlive(15280) KdenliveDoc::setProfilePath: KDEnnlive document, init timecode
from path: "dv_pal_wide" , 25
kdenlive(15280) KdenliveDoc::KdenliveDoc: KDEnlive document, init timecode: 25
kdenlive(15280) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 4
, DURATION: 0
kdenlive(15280) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 3
, DURATION: 0
kdenlive(15280) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 2
, DURATION: 0
kdenlive(15280) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 1
, DURATION: 0
kdenlive(15280) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 0
, DURATION: 0
kdenlive(15280) TrackView::parseDocument: /////////// TOTAL PROJECT DURATION:
300
kdenlive(15280) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 0
kdenlive(15280) MainWindow::connectDocument: /////////////////// CONNECTINGÂ
DOC TOÂ PROJECTÂ VIEW ////////////////
kdenlive(15280) MainWindow::connectDocument: /////////////////// CONNECTINGÂ
DOC TOÂ PROJECTÂ VIEW ////////////////
kdenlive(15280) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(15280) Render::stop: ///////////// RENDER STOP2-------
kdenlive(15280) Render::stop: ///////////// RENDER STOP3-------
kdenlive(15280) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(15280) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(15280) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(15280) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(15280) Render::stop: ///////////// RENDER STOP2-------
kdenlive(15280) Render::stop: ///////////// RENDER STOP3-------
kdenlive(15280) Render::start: ----- STARTING MONITOR: "project"
kdenlive(15280) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(15280) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(15280) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(15280) Render::stop: ///////////// RENDER STOP2-------
kdenlive(15280) Render::stop: ///////////// RENDER STOP3-------
kdenlive(15280) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(15280) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(15280) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(15280) Render::resetProfile: reset to same profile, nothing to do
kdenlive(15280) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(15280) Render::stop: ///////////// RENDER STOP2-------
kdenlive(15280) Render::stop: ///////////// RENDER STOP3-------
kdenlive(15280) Render::start: ----- STARTING MONITOR: "project"
kdenlive(15280) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(15280) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(15280) Render::resetProfile: reset to same profile, nothing to do
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 3
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 4
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
2
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 2
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 1
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 1
kdenlive(15280) KIO::DelegateAnimationHandler::setSequenceIndex: 0
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout:
kdenlive(15280) KIO::DelegateAnimationHandler::sequenceTimerTimeout: requesting
0
kdenlive(15280) KIO::DelegateAnimationHandler::gotNewIcon: 0
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture001.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture002.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture003.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture004.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture005.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture006.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
kdenlive(15280) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(15280) Render::getFileProperties: REquested fuile info for:
"/home/kernalex/capture007.dv"
kdenlive(15280) AddClipCommand::redo: ---- redoing action
KCrash: Application 'kdenlive' crashing...
sock_file=/home/kernalex/.kde4/socket-linux-fr2j/kdeinit4__0

[1]+ Stopped kdenlive
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
duplicate of 0000738closed Adding several images with drag-and-drop causes crash 

-  Notes
(0002955)
administrator (administrator)
2009-05-29 00:40

This issue was fixed in Kdenlive 0.7.3
(0003009)
kernalex (reporter)
2009-05-30 23:53

No, please look at the date of opening. We far ahead of revision, where it should be resolved. Today I managed the same crash wit revision 3465. The backtrace is too different in compare with issue 0000738. And it has nothing with "drapndrop". I insert files via right mouse button and context menu. The same effect with open via toolbar.
(0003010)
administrator (administrator)
2009-05-31 01:00

Well, in the bug report you said:
"Version of the application: 0.7.2"

There was a bug in Kdenlive < 0.7.3 that crashed Kdenlive when adding several clips, that's why I thought it was your problem. If you can reproduce with current svn, please tell us which MLT version you are using, also make sure you don't have an older MLT install.

Does it happen only with some clip types or with all clips? can you play these clips with MLT's command line player:

melt myvideo.mpg
(0003023)
kernalex (reporter)
2009-06-01 23:33

Hi, you are right. My fault, used wrong path for build.
Now in proper KDE4 trunk, cannot reproduce. Please close.

Alex

- Issue History
Date Modified Username Field Change
2009-05-29 00:26 kernalex New Issue
2009-05-29 00:26 kernalex Build/Install Method => Manual build from SVN
2009-05-29 00:38 administrator Relationship added duplicate of 0000738
2009-05-29 00:40 administrator Note Added: 0002955
2009-05-29 00:40 administrator Status new => resolved
2009-05-29 00:40 administrator Resolution open => duplicate
2009-05-30 23:53 kernalex Note Added: 0003009
2009-05-30 23:53 kernalex Status resolved => feedback
2009-05-30 23:53 kernalex Resolution duplicate => reopened
2009-05-31 01:00 administrator Note Added: 0003010
2009-06-01 23:33 kernalex Note Added: 0003023
2009-06-01 23:40 administrator Status feedback => resolved
2009-06-01 23:40 administrator Resolution reopened => fixed
2009-06-01 23:40 administrator Fixed in Version => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker